Page MenuHomePhabricator

Upgrade payments to MediaWiki 1.35
Open, Needs TriagePublic

Description

Once the release is official. According to https://www.mediawiki.org/wiki/Version_lifecycle that should be in August of 2020. This will also require upgrading the payments servers to Debian Buster, as MW 1.35 requires PHP >= 7.2.22

Event Timeline

Ejegg created this task.Jun 2 2020, 11:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2020, 11:27 PM
Jgreen moved this task from Triage to Watching on the fundraising-tech-ops board.Jun 3 2020, 1:17 PM
Jgreen added a subscriber: Jgreen.EditedJun 23 2020, 5:15 PM

The codfw payments servers have been upgraded to Buster with stock php 7.3.14, and are in the standard payments deploy group so they're getting the same code/config as eqiad. We just need to run some tests and sign off on the upgrade, and we can upgrade eqiad too.

When we're ready to test MW 1.35, we can switch the deployment branch for payments2xxx and split the codfw servers from database replication and confirm that the upgrade works properly there before upgrading the eqiad servers.

Jgreen changed the status of subtask T256146: Upgrade payments servers to Debian Buster from Open to Stalled.
Jgreen changed the status of subtask T256146: Upgrade payments servers to Debian Buster from Stalled to Open.Tue, Jul 7, 6:21 PM
Jgreen moved this task from Watching to Up Next on the fundraising-tech-ops board.

Removed Fundraising-Backlog tag. The upgrade (this task) is a fr-tech-ops project. Broke out the Fundraising Tech parts to separate tasks for clearer task dependency tracking.